import request from '@/utils/request'

// 商品概述
export function apiGetBasic(params: any) {
    return request.get({ url: '/workbench/get_basic', params })
}

// 商品趋势
export function apiGetTrend(params: any) {
    return request.get({ url: '/workbench/get_trend', params })
}

// 商品排行
export function apiGetProductRanking(params: any) {
    return request.get({ url: '/workbench/get_product_ranking', params })
}

// 用户概况
export function apiGetUserBasic(params: any) {
    return request.get({ url: '/workbench/get_user_basic', params })
}

// 用户趋势
export function apiGetUserTrend(params: any) {
    return request.get({ url: '/workbench/get_user_trend', params })
}

// 交易趋势
export function apiGetBottomTrade(params: any) {
    return request.get({ url: '/workbench/bottom_trade', params })
}

// 当日订单金额
export function apiGetTopTrade(params: any) {
    return request.get({ url: '/workbench/top_trade', params })
}
// 实时订单商品合计统计
export function product_order(params: any) {
    return request.get({ url: '/workbench/product_order', params })
}
// 实时订单商品合计统计
export function product_month_order(params: any) {
    return request.get({ url: '/workbench/product_month_order', params })
}
// 实时订单商品合计统计
export function store_order_cart_info_curve(params: any) {
    return request.get({ url: '/store_order_cart_info/StoreOrderCartInfo/curve', params })
}

// 仓库头部统计
export function total_warehouse(params: any) {
    return request.get({ url: '/workbench/total_warehouse', params })
}
// 仓库列表统计
export function warehouse_list(params: any) {
    return request.get({ url: '/workbench/warehouse_list', params })
}
// 门店和仓库列表统计
export function total_warehouse_list(params: any) {
    return request.get({ url: '/workbench/total_warehouse_list', params })
}
// 已结算 未结算列表统计
export function total_warehouse_product_list(params: any) {
    return request.get({ url: '/workbench/total_warehouse_product_list', params })
}
// 负库存列表统计
export function negative_inventory(params: any) {
    return request.get({ url: '/workbench/negative_inventory', params })
}

// 负库存列表统计
export function update_negative_zero(params: any) {
    return request.get({ url: '/workbench/update_negative_zero', params })
}
// 负库存列表统计
export function stock_product_price(params: any) {
    return request.get({ url: '/workbench/stock_product_price', params })
}
